com.streambase.sb

## Enum CaptureTransformStrategy

- java.lang.Object
- - java.lang.Enum<CaptureTransformStrategy>
  - - com.streambase.sb.CaptureTransformStrategy

- All Implemented Interfaces:
    Serializable, Comparable<CaptureTransformStrategy>

      public enum CaptureTransformStrategy
      extends Enum<CaptureTransformStrategy>

  Determines the method StreamBase will use to expose capture fields to client code or dequeuers.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FLATTEN` Expand all capture fields as if they were crossing a hygienic module boundary.
    `NEST` Encode all capture fields as tuples.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CaptureTransformStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CaptureTransformStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FLATTEN

          public static final CaptureTransformStrategy FLATTEN

      Expand all capture fields as if they were crossing a hygienic module boundary. For example, if `@T = (a int, b int)` then `(s string, fields @T)` will be read by the client as `(s string, a int, b int)`

    - #### NEST

          public static final CaptureTransformStrategy NEST

      Encode all capture fields as tuples. For example, if `@T = (a int, b int)` then `(s string, fields @T)` will be read by the client as `(s string, fields (a int, b int))`

  - ### Method Detail

    - #### values

          public static CaptureTransformStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CaptureTransformStrategy c : CaptureTransformStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CaptureTransformStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.